<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Billboard Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_billboard.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_billboard-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Billboard Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A class to handle Billboards of simple textures. The billboard is composed of two quads rotated 90 degs from each other.  
 <a href="class_billboard.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_billboard_8hpp_source.html">Billboard.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a66d24fc23c054419387c9c5794cd6951"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_billboard.html#a66d24fc23c054419387c9c5794cd6951">Billboard</a> (double dx, double dy, double dz, double scale_x, double scale_y, double scale_z, <a class="el" href="class_scene.html">Scene</a> *scene, <a class="el" href="class_camera.html">Camera</a> *<a class="el" href="class_billboard.html#ab3ec3cd19e91a85426a66070095ed243">camera</a>, const char *filename)</td></tr>
<tr class="memdesc:a66d24fc23c054419387c9c5794cd6951"><td class="mdescLeft">&#160;</td><td class="mdescRight">A <a class="el" href="class_billboard_transform.html" title="A class to handle Billboard transformations. ">BillboardTransform</a> constructor properly initialised from position and scale data.  <a href="#a66d24fc23c054419387c9c5794cd6951">More...</a><br /></td></tr>
<tr class="separator:a66d24fc23c054419387c9c5794cd6951"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e0c4a964797ed626ef5887eec0785bc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_billboard.html#a6e0c4a964797ed626ef5887eec0785bc">Billboard</a> (double dx, double dy, double dz, double scale_x, double scale_y, double scale_z, <a class="el" href="class_scene.html">Scene</a> *scene, <a class="el" href="class_camera.html">Camera</a> *<a class="el" href="class_billboard.html#ab3ec3cd19e91a85426a66070095ed243">camera</a>, <a class="el" href="class_material.html">Material</a> *m)</td></tr>
<tr class="memdesc:a6e0c4a964797ed626ef5887eec0785bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">A <a class="el" href="class_billboard_transform.html" title="A class to handle Billboard transformations. ">BillboardTransform</a> constructor properly initialised from position and scale data.  <a href="#a6e0c4a964797ed626ef5887eec0785bc">More...</a><br /></td></tr>
<tr class="separator:a6e0c4a964797ed626ef5887eec0785bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf92777d2fda920b2b64625aa450bd3c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_material.html">Material</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_billboard.html#acf92777d2fda920b2b64625aa450bd3c">getMaterial</a> ()</td></tr>
<tr class="memdesc:acf92777d2fda920b2b64625aa450bd3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a pointer to the <a class="el" href="class_material.html" title="A class to create and manipulate surface materials. ">Material</a> associated to this <a class="el" href="class_billboard.html" title="A class to handle Billboards of simple textures. The billboard is composed of two quads rotated 90 de...">Billboard</a>.  <a href="#acf92777d2fda920b2b64625aa450bd3c">More...</a><br /></td></tr>
<tr class="separator:acf92777d2fda920b2b64625aa450bd3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c39b6f8b74eab1252daa939856bf314"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_billboard.html#a3c39b6f8b74eab1252daa939856bf314">setMaterial</a> (<a class="el" href="class_material.html">Material</a> *_m)</td></tr>
<tr class="memdesc:a3c39b6f8b74eab1252daa939856bf314"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the material for this <a class="el" href="class_billboard.html" title="A class to handle Billboards of simple textures. The billboard is composed of two quads rotated 90 de...">Billboard</a>.  <a href="#a3c39b6f8b74eab1252daa939856bf314">More...</a><br /></td></tr>
<tr class="separator:a3c39b6f8b74eab1252daa939856bf314"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae57727f59f1ce912cb9884289c5e36a7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_transform.html">Transform</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_billboard.html#ae57727f59f1ce912cb9884289c5e36a7">getTransform</a> ()</td></tr>
<tr class="memdesc:ae57727f59f1ce912cb9884289c5e36a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a pointer to the <a class="el" href="class_billboard_transform.html" title="A class to handle Billboard transformations. ">BillboardTransform</a> node associated to this <a class="el" href="class_billboard.html" title="A class to handle Billboards of simple textures. The billboard is composed of two quads rotated 90 de...">Billboard</a>.  <a href="#ae57727f59f1ce912cb9884289c5e36a7">More...</a><br /></td></tr>
<tr class="separator:ae57727f59f1ce912cb9884289c5e36a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71045dffcdb7bf62c8e3534dc6d5e0eb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_billboard.html#a71045dffcdb7bf62c8e3534dc6d5e0eb">setAlignVertical</a> (bool _align)</td></tr>
<tr class="memdesc:a71045dffcdb7bf62c8e3534dc6d5e0eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">State whether the billboard should always be vertically aligned (true by default)  <a href="#a71045dffcdb7bf62c8e3534dc6d5e0eb">More...</a><br /></td></tr>
<tr class="separator:a71045dffcdb7bf62c8e3534dc6d5e0eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23e233cc3b365c63ad341823bbb51087"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_billboard.html#a23e233cc3b365c63ad341823bbb51087">getAlignVertical</a> ()</td></tr>
<tr class="memdesc:a23e233cc3b365c63ad341823bbb51087"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if the billboard has been setup to be always vertically aligned (true by default)  <a href="#a23e233cc3b365c63ad341823bbb51087">More...</a><br /></td></tr>
<tr class="separator:a23e233cc3b365c63ad341823bbb51087"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ab27ce66552535bfb5d2f823f555dde56"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_billboard.html#ab27ce66552535bfb5d2f823f555dde56">uid</a></td></tr>
<tr class="memdesc:ab27ce66552535bfb5d2f823f555dde56"><td class="mdescLeft">&#160;</td><td class="mdescRight">A unique identififier for this transform.  <a href="#ab27ce66552535bfb5d2f823f555dde56">More...</a><br /></td></tr>
<tr class="separator:ab27ce66552535bfb5d2f823f555dde56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3ec3cd19e91a85426a66070095ed243"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_camera.html">Camera</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_billboard.html#ab3ec3cd19e91a85426a66070095ed243">camera</a></td></tr>
<tr class="memdesc:ab3ec3cd19e91a85426a66070095ed243"><td class="mdescLeft">&#160;</td><td class="mdescRight">A pointer to the camera.  <a href="#ab3ec3cd19e91a85426a66070095ed243">More...</a><br /></td></tr>
<tr class="separator:ab3ec3cd19e91a85426a66070095ed243"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A class to handle Billboards of simple textures. The billboard is composed of two quads rotated 90 degs from each other. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a66d24fc23c054419387c9c5794cd6951"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66d24fc23c054419387c9c5794cd6951">&sect;&nbsp;</a></span>Billboard() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Billboard::Billboard </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>dx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>dy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>dz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>scale_x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>scale_y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>scale_z</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_scene.html">Scene</a> *&#160;</td>
          <td class="paramname"><em>scene</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>camera</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A <a class="el" href="class_billboard_transform.html" title="A class to handle Billboard transformations. ">BillboardTransform</a> constructor properly initialised from position and scale data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dx</td><td>Displacement along x-axis </td></tr>
    <tr><td class="paramname">dy</td><td>Displacement along y-axis </td></tr>
    <tr><td class="paramname">dz</td><td>Displacement along z-axis </td></tr>
    <tr><td class="paramname">scale_x</td><td>Scale along x-axis </td></tr>
    <tr><td class="paramname">scale_y</td><td>Scale along y-axis </td></tr>
    <tr><td class="paramname">scale_z</td><td>Scale along z-axis </td></tr>
    <tr><td class="paramname">scene</td><td>Pointer to <a class="el" href="class_scene.html" title="A class to create and control scenes from Surface and Light objects. ">Scene</a> object </td></tr>
    <tr><td class="paramname">camera</td><td>Pointer to <a class="el" href="class_camera.html" title="A class to create and manipulate virtual projective cameras. ">Camera</a> object </td></tr>
    <tr><td class="paramname">filename</td><td>String with texture file's name </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a6e0c4a964797ed626ef5887eec0785bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e0c4a964797ed626ef5887eec0785bc">&sect;&nbsp;</a></span>Billboard() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Billboard::Billboard </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>dx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>dy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>dz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>scale_x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>scale_y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>scale_z</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_scene.html">Scene</a> *&#160;</td>
          <td class="paramname"><em>scene</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>camera</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_material.html">Material</a> *&#160;</td>
          <td class="paramname"><em>m</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A <a class="el" href="class_billboard_transform.html" title="A class to handle Billboard transformations. ">BillboardTransform</a> constructor properly initialised from position and scale data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dx</td><td>Displacement along x-axis </td></tr>
    <tr><td class="paramname">dy</td><td>Displacement along y-axis </td></tr>
    <tr><td class="paramname">dz</td><td>Displacement along z-axis </td></tr>
    <tr><td class="paramname">scale_x</td><td>Scale along x-axis </td></tr>
    <tr><td class="paramname">scale_y</td><td>Scale along y-axis </td></tr>
    <tr><td class="paramname">scale_z</td><td>Scale along z-axis </td></tr>
    <tr><td class="paramname">scene</td><td>Pointer to <a class="el" href="class_scene.html" title="A class to create and control scenes from Surface and Light objects. ">Scene</a> object </td></tr>
    <tr><td class="paramname">camera</td><td>Pointer to <a class="el" href="class_camera.html" title="A class to create and manipulate virtual projective cameras. ">Camera</a> object </td></tr>
    <tr><td class="paramname">material</td><td>Pointer to material (associated to the texture file) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a23e233cc3b365c63ad341823bbb51087"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23e233cc3b365c63ad341823bbb51087">&sect;&nbsp;</a></span>getAlignVertical()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Billboard::getAlignVertical </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return true if the billboard has been setup to be always vertically aligned (true by default) </p>
<dl class="section return"><dt>Returns</dt><dd>true if the billboard has been setup to be always vertically aligned </dd></dl>

</div>
</div>
<a id="acf92777d2fda920b2b64625aa450bd3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf92777d2fda920b2b64625aa450bd3c">&sect;&nbsp;</a></span>getMaterial()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_material.html">Material</a>* Billboard::getMaterial </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns a pointer to the <a class="el" href="class_material.html" title="A class to create and manipulate surface materials. ">Material</a> associated to this <a class="el" href="class_billboard.html" title="A class to handle Billboards of simple textures. The billboard is composed of two quads rotated 90 de...">Billboard</a>. </p>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the <a class="el" href="class_material.html" title="A class to create and manipulate surface materials. ">Material</a> associated to this <a class="el" href="class_billboard.html" title="A class to handle Billboards of simple textures. The billboard is composed of two quads rotated 90 de...">Billboard</a>. </dd></dl>

</div>
</div>
<a id="ae57727f59f1ce912cb9884289c5e36a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae57727f59f1ce912cb9884289c5e36a7">&sect;&nbsp;</a></span>getTransform()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_transform.html">Transform</a>* Billboard::getTransform </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns a pointer to the <a class="el" href="class_billboard_transform.html" title="A class to handle Billboard transformations. ">BillboardTransform</a> node associated to this <a class="el" href="class_billboard.html" title="A class to handle Billboards of simple textures. The billboard is composed of two quads rotated 90 de...">Billboard</a>. </p>
<dl class="section return"><dt>Returns</dt><dd>a pointer to the <a class="el" href="class_billboard_transform.html" title="A class to handle Billboard transformations. ">BillboardTransform</a> node associated to this <a class="el" href="class_billboard.html" title="A class to handle Billboards of simple textures. The billboard is composed of two quads rotated 90 de...">Billboard</a>. </dd></dl>

</div>
</div>
<a id="a71045dffcdb7bf62c8e3534dc6d5e0eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71045dffcdb7bf62c8e3534dc6d5e0eb">&sect;&nbsp;</a></span>setAlignVertical()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Billboard::setAlignVertical </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>_align</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>State whether the billboard should always be vertically aligned (true by default) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">_align</td><td>Boolean stating whether the billboard should always be vertically aligned </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a3c39b6f8b74eab1252daa939856bf314"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c39b6f8b74eab1252daa939856bf314">&sect;&nbsp;</a></span>setMaterial()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Billboard::setMaterial </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_material.html">Material</a> *&#160;</td>
          <td class="paramname"><em>_m</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets the material for this <a class="el" href="class_billboard.html" title="A class to handle Billboards of simple textures. The billboard is composed of two quads rotated 90 de...">Billboard</a>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">_m</td><td>A pointer to the <a class="el" href="class_material.html" title="A class to create and manipulate surface materials. ">Material</a> associated to this <a class="el" href="class_billboard.html" title="A class to handle Billboards of simple textures. The billboard is composed of two quads rotated 90 de...">Billboard</a>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ab3ec3cd19e91a85426a66070095ed243"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3ec3cd19e91a85426a66070095ed243">&sect;&nbsp;</a></span>camera</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_camera.html">Camera</a>* Billboard::camera</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A pointer to the camera. </p>

</div>
</div>
<a id="ab27ce66552535bfb5d2f823f555dde56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab27ce66552535bfb5d2f823f555dde56">&sect;&nbsp;</a></span>uid</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Billboard::uid</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A unique identififier for this transform. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="_billboard_8hpp_source.html">Billboard.hpp</a></li>
<li>src/<a class="el" href="_billboard_8cpp.html">Billboard.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_billboard.html">Billboard</a></li>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
